Package ghidra.program.database

# Class IntRangeMapDB

java.lang.Object
ghidra.program.database.IntRangeMapDB

All Implemented Interfaces:
  `IntRangeMap`

public class IntRangeMapDB extends Object implements IntRangeMap

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `TABLE_PREFIX`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clearAll()`
  `void`
  `clearValue(Address startAddr, Address endAddr)`
  `void`
  `clearValue(AddressSetView addresses)`
  `static IntRangeMapDB`
  `createPropertyMap(ProgramDB program, String mapName, ErrorHandler errHandler, AddressMap addrMap, Lock lock)`
  `void`
  `delete()`
  `AddressSet`
  `getAddressSet()`
  `AddressSet`
  `getAddressSet(int value)`
  `static IntRangeMapDB`
  `getPropertyMap(ProgramDB program, String mapName, ErrorHandler errHandler, AddressMap addrMap, Lock lock)`
  `Integer`
  `getValue(Address address)`
  `void`
  `moveAddressRange(Address fromAddr, Address toAddr, long length, TaskMonitor monitor)`
  Move the address range to a new starting address.
  `void`
  `setValue(Address start, Address end, int value)`
  `void`
  `setValue(AddressSetView addresses, int value)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TABLE_PREFIX

    public static final String TABLE_PREFIX
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getPropertyMap

    public static IntRangeMapDB getPropertyMap(ProgramDB program, String mapName, ErrorHandler errHandler, AddressMap addrMap, Lock lock)

  - ### createPropertyMap

    public static IntRangeMapDB createPropertyMap(ProgramDB program, String mapName, ErrorHandler errHandler, AddressMap addrMap, Lock lock) throws DuplicateNameException
    Throws:
      `DuplicateNameException`

  - ### delete

    public void delete()

  - ### setValue

    public void setValue(Address start, Address end, int value)
    Specified by:
      `setValue` in interface `IntRangeMap`

  - ### setValue

    public void setValue(AddressSetView addresses, int value)
    Specified by:
      `setValue` in interface `IntRangeMap`

  - ### clearAll

    public void clearAll()
    Specified by:
      `clearAll` in interface `IntRangeMap`

  - ### clearValue

    public void clearValue(Address startAddr, Address endAddr)
    Specified by:
      `clearValue` in interface `IntRangeMap`

  - ### clearValue

    public void clearValue(AddressSetView addresses)
    Specified by:
      `clearValue` in interface `IntRangeMap`

  - ### getValue

    public Integer getValue(Address address)
    Specified by:
      `getValue` in interface `IntRangeMap`

  - ### getAddressSet

    public AddressSet getAddressSet()
    Specified by:
      `getAddressSet` in interface `IntRangeMap`

  - ### getAddressSet

    public AddressSet getAddressSet(int value)
    Specified by:
      `getAddressSet` in interface `IntRangeMap`

  - ### moveAddressRange

    public void moveAddressRange(Address fromAddr, Address toAddr, long length, TaskMonitor monitor) throws CancelledException
    Move the address range to a new starting address.
    Specified by:
      `moveAddressRange` in interface `IntRangeMap`
    Parameters:
      `fromAddr` - move from address
      `toAddr` - move to address
      `length` - number of address to move
      `monitor` -
    Throws:
      `CancelledException`